For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI Reference
  • Data API
      • POSTUpload File
      • DELDelete File
      • GETGet File Scan Status
      • POSTUpload File
      • POSTGet Files Upload Status
LogoLogo
Login
Login
Data APIFiles

Upload File

POST
/v2/vaults/:vaultID/files/upload
POST
/v2/vaults/:vaultID/files/upload
$curl -X POST https://{{vault_uri}}.vault.skyflowapis.com/v2/vaults/vaultID/files/upload \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F tableName="string" \
> -F columnName="string" \
> -F file="string"
1{
2 "skyflowID": "4423ccdf-75eb-4e2e-abfc-acb43b1440cd",
3 "fileMetadata": {
4 "fileName": "kyc.jpeg",
5 "fileSize": 1024,
6 "fileType": "application/jpeg"
7 }
8}
Uploads a file to a new or specified record.
Was this page helpful?
Previous

Get Files Upload Status

Next
Built with

Authentication

AuthorizationBearer

Access token, prefixed by Bearer .

Path parameters

vaultIDstringRequired

Request

This endpoint expects a multipart form.
tableNamestringRequired
Name of the table.
columnNamestringRequired
Name of the column that contains the file.
skyflowIDstringOptional
ID of the record to update.
filestringRequired
Path of the file to upload. Each request only supports one file.
returnFileMetadatabooleanOptionalDefaults to false

If true, returns metadata about the uploaded file.

Response

OK
skyflowIDstring
ID of the record to update.
fileMetadatamap from strings to objects
Metadata for the uploaded file with keys based on the name of the column containing the file.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error